Bug 251450 - editors/libreoffice: simplify QT5 on FreeBSD < 12 logic
Summary: editors/libreoffice: simplify QT5 on FreeBSD < 12 logic
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-office (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-11-29 13:40 UTC by Jan Beich
Modified: 2020-12-05 12:03 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
v1 (2.31 KB, patch)
2020-11-29 13:40 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-11-29 13:40:44 UTC
Created attachment 220063 [details]
v1

Let's apply ports r556538 trick to libreoffice. Advantages:

- Enables QT5 by default on DragonFly
- Enables QT5 when DEFAULT_VERSIONS += ssl=openssl
- Doesn't need to be adjusted when 14.0-CURRENT appears

# FreeBSD 12.1
$ make -V PORT_OPTIONS:MQT5
QT5

# FreeBSD 11.4
$  make -V PORT_OPTIONS:MQT5

$ DEFAULT_VERSIONS=ssl=openssl make -V PORT_OPTIONS:MQT5
QT5
Comment 1 Li-Wen Hsu freebsd_committer 2020-11-30 07:05:26 UTC
LGTM, thanks!
Comment 2 commit-hook freebsd_committer 2020-12-05 12:00:46 UTC
A commit references this bug:

Author: fluffy
Date: Sat Dec  5 12:00:08 UTC 2020
New revision: 557051
URL: https://svnweb.freebsd.org/changeset/ports/557051

Log:
  editors/libreoffice: simplify QT5 on FreeBSD < 12 logic

  - Enables QT5 by default on DragonFly
  - Enables QT5 when DEFAULT_VERSIONS += ssl=openssl
  - Doesn't need to be adjusted when 14.0-CURRENT appears

  PR:		251450
  Submitted by:	jbeich
  MFH:		2020Q4

Changes:
  head/editors/libreoffice/Makefile
  head/editors/libreoffice6/Makefile
Comment 3 commit-hook freebsd_committer 2020-12-05 12:02:47 UTC
A commit references this bug:

Author: fluffy
Date: Sat Dec  5 12:02:25 UTC 2020
New revision: 557052
URL: https://svnweb.freebsd.org/changeset/ports/557052

Log:
  MFH: r557051

  editors/libreoffice: simplify QT5 on FreeBSD < 12 logic

  - Enables QT5 by default on DragonFly
  - Enables QT5 when DEFAULT_VERSIONS += ssl=openssl
  - Doesn't need to be adjusted when 14.0-CURRENT appears

  PR:		251450
  Submitted by:	jbeich

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/editors/libreoffice/Makefile
  branches/2020Q4/editors/libreoffice6/Makefile
Comment 4 Dima Panov freebsd_committer 2020-12-05 12:03:16 UTC
Committed, thanks!